Skip to main content
`Ctrl`+`K`

# SNESLineSearchDestroy

Destroys the line search instance.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchDestroy(SNESLineSearch *linesearch)

Collective

## Input Parameter

- linesearch - The line search context

## Note

The line search in `SNES` is automatically called on `SNESDestroy()` so this call is rarely needed

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchCreate()`, `SNESLineSearchReset()`, `SNESDestroy()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

## Implementations

SNESLineSearchDestroy_BT() in src/snes/linesearch/impls/bt/linesearchbt.c
SNESLineSearchDestroy_NLEQERR() in src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c
SNESLineSearchDestroy_Shell() in src/snes/linesearch/impls/shell/linesearchshell.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages